<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Notes</title>
</head>
<style>
  * {
    font-family: sans-serif;
    margin: 0;
    padding: 0;
  }

  header {
    background-color: #24252A;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1em;
  }

  li, a, button {
    color:#ffffff;
    font-weight: bold;
    font-size: 1em;
    text-decoration: none;
  }

  ul {
    list-style: none;
  }

  ul li {
    display: inline-block;
    padding: 0 1.25em;
  }

  ul li a:hover {
    color: #0088a9;
  }

  button {
    background-color: rgba(0, 136, 169, 1);
    margin: 0 10px;
    padding: 8px 40px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
  }

  button:hover {
    background-color: rgba(0, 136, 169, 0.7);
  }

  h1 {
    text-align: center;
    padding: 1em 0;
  }

  table {
    width: 90%;
    margin: 0 auto;
    border-collapse: collapse;
    border: 1px solid #bdc3c7;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.4);
  }
  
  th, td {
    padding: 0.75em 1em;
  }

  .table-header {
    background-color: #0088a9;
    color: #ffffff;
    text-align: left;
  }
  
  .table-body {
    border-bottom: 1px solid #dddddd;
  }

  .table-body:hover {
    font-weight: bold;
    color: rgba(0, 136, 169, 0.7);
  }

  .table-body:last-of-type {
    border-bottom: 2px solid #0088a9;
  }
</style>
<body>
  <header>
    <nav>
      <ul>
        <li><a href="/lab-4">Home</a></li>
        <li><a href="/lab-4/note-list">Card View</a></li>
      </ul>
    </nav>
    <a href="/lab-4/add-note"><button>Add New Note</button></a>
  </header>
  <h1>My Notes List</h1>
  <table>
    <tr class="table-header">
      <th>To</th>
      <th>From</th>
      <th>Title</th>
      <th>Message</th>
    </tr>
    {% for note in notes %}
    <tr class="table-body">
      <td>{{ note.message_to }}</td>
      <td>{{ note.message_from }}</td>
      <td>{{ note.message_title }}</td>
      <td>{{ note.message }}</td>
    </tr>
    {% endfor %}
  </table>
</body>
</html>